ランタイム: Mix::Dynamics::IShape Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
Mix::Dynamics::IShape Class Referenceabstract

シェイプインターフェース More...

`#include <IShape.h>`

Inheritance diagram for Mix::Dynamics::IShape:
[legend]
Collaboration diagram for Mix::Dynamics::IShape:
[legend]

## Public Types

enum | TYPE { BOX = 0, CAPSULE = 1, COMPOUND = 2, CONE = 3, CONVEXHULL = 4, CYLINDER = 5, SPHERE = 6 }
| タイプ列挙定数 More...

## Public Member Functions

virtual Mix::Dynamics::IShape::TYPE | GetType (void) const =0
| シェイプの種類を取得します More...
virtual Float32 | GetMargin (void) const =0
| 衝突マージンを取得します More...
virtual void | SetMargin (Float32 margin)=0
| 衝突マージンを設定します More...
virtual void | DebugDraw (Mix::Graphics::Utility::IPerspectiveRenderer *pPerspectiveRenderer)=0
| デバッグ描画をします More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IShape (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

シェイプインターフェース

## Member Enumeration Documentation

enum Mix::Dynamics::IShape::TYPE

タイプ列挙定数

Enumerator
BOX | ボックス
CAPSULE | カプセル
COMPOUND | コンパウンド(複合)
CONE | コーン
CONVEXHULL | コンベックスハル(凸包体)
CYLINDER | シリンダー
SPHERE | スフィア

## Constructor & Destructor Documentation

virtual Mix::Dynamics::IShape::~IShape | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Mix::Dynamics::IShape::TYPE Mix::Dynamics::IShape::GetType | ( | void |  | ) | const

pure virtual

シェイプの種類を取得します

Returns
  シェイプの種類を表す Mix::Dynamics::IShape::TYPE 列挙定数を返します

virtual Float32 Mix::Dynamics::IShape::GetMargin | ( | void |  | ) | const

pure virtual

衝突マージンを取得します

Returns
  衝突マージンを返します

virtual void Mix::Dynamics::IShape::SetMargin | ( | Float32 | margin | ) |

pure virtual

衝突マージンを設定します

Parameters

  [in] | margin | 衝突マージン

Note
  この値を高くすることによってめり込みにくくなります。
  ただし、高く設定しすぎると浮いたような状態になりますので注意してください。

virtual void Mix::Dynamics::IShape::DebugDraw | ( | Mix::Graphics::Utility::IPerspectiveRenderer * | pPerspectiveRenderer | ) |

pure virtual

デバッグ描画をします

Parameters

  [in] | pPerspectiveRenderer | デバッグ描画用のインターフェースを表す Mix::Graphics::Utility::IPerspectiveRenderer インターフェースのポインタ

The documentation for this class was generated from the following file:

- Mix/Dynamics/IShape.h